<html>
<head>
<title>Projets DESS-RADI/(Images) 2000/2001</title>
<style>
body {color: #FFFFA0; font-size:14pt}
h1 {align:center; font-size: 36pt; color:#80FFFF}
em {color: #FFA090; font-weight:bold}
h2 {color: #00FF00}
p {color: #FFFFA0; font-size:14pt}

.sy {font-family: "Symbol"}
.bl {color: #80FFFF}

</style>
</head>
<body background="../icons/al-back.jpg" link="#c0f0ff" vlink="#ffa0ff">

<h1>
Projets DESS-RADI 2000/2001
</h1>
<p>
<p>

J'ai trois projets à vous proposer cette année. <em>Mais si quelqu'un
a son projet - rêve d'infance, lié à l'imagerie, et s'il pense que le projet
est réalisable sous ma tutelle -- nous pouvons encore discuter.</em>

<p>

<h2>Titres :</h2>
<p>
<ol>
<li> <a href="#intcom"><big>Conférences et Internet : outils de communication et 
     archivage.</big></a>
<p>

<li> <a href="#larva"><big>Lanceur de rayons en Java.</big></a>
<p>


<li> <a href="#ming"><big>Visualiseur des images PNG animés.</big></a>
<p>


</ol><p>

<p><center>
<img src="../icons/an_ruledt.gif"></center><p>

  
<h2>Sujets :</h2>

<ol>
<a name="intcom"></a>
<li> <b>Conférences et Internet : outils de communication et 
     archivage.</b><br>
     Ceci est un projet conçu en collaboration avec Antoine Pérus (IUT). 
     En fait, c'est <b>sa proposition</b>, moi, je l'encadre, mais on 
     va travailler ensemble.

<p>


L'Université Paris 8 (Saint Denis) organise depuis des années des
conférences : "rencontres médias".
<p>

Ces rencontres sont organisées en partenariat avec le CNAM, la BPI
(Bibliotheque de Beaubourg) et l'equipe du "Prix möbius". 
A ces conférences sont invités des professionnels qui exposent et
débatent avec le public venu assister à propos de leur activité, 
invention ou recherche tournant autour du multimédia. 
Le sérieux et l'intérêt de ces conférences n'est plus à faire, 
leur fonctionnement est bien rôdé et elles constituent la "vitrine" 
du DESS Hypermédia de Paris 8 ansi que des activités du CNAM.
<p>

Le projet consisterait à mettre en ligne d'une part un site les 
représentant  et d'autre part de les filmer et d'archiver ces
tournages sur le site des rencontre médias. 
<p>

<font color="#B0FFB0"><i>Bien sûr la partie du projet destiné à un de nos 
étudiants ne
concerne que le travail sur l'Internet, non pas le tournage ; c'est le
rôle d'Antoine et de ses autres collaborateurs. Mais rien n'est exclu,
au contraire, si ceci s'avère réalisable, tant mieux !</i></font>
<p>

(Un sujet de stage du DESS RADI serait le prologement de ce travail : 
relier les universités entre-elles en  retransmettant en direct 
via l'internet ces conférences dans l'amphi du campus 3).
<p>

D'une part ces interventions de professionnels intéresseraient beaucoup 
les étudiants du campus 3 (IUT info-com et IUT informatique) et sûrement 
les étudiants de DESS RADI. D'autre part le CNAM et Paris 8 
cherchent depuis longtemps à créer des liens de travail
inter-universités et ceci  serait un bon moyen d'amorcer ces liens.
Techniquement, il serait intéressant de mettre en place un "forum" qui
permettrait aux étudiants de caen d'intervenir en direct durant la 
conférence.
<p>

Il y a également un travail de réflexion sur chaque sujet à réaliser : 
d'une part pour présenter la conférence avant de la retransmettre, 
d'autre part pour en faire éventuellement un compte -rendu, les
étudiants 
de DESS de Caen pourraient présenter leurs travaux sur le sité Paris
8... 
toutes autres propositions étant les bienvenues
<p>

L'équipe de Paris 8 est très interressée par ce projet pour les raisons
évoquées précédemment, l'équipe enseignant du campus 3 également car 
il y a un manque au niveau de l'enseignement du multimédia, d'autre part 
amorcer des relations de travail avec paris 8 et le CNAM pourrait amener 
d'autres projets par la suite.
<p>
<hr width=30%>
<p>

<font color="#B0FFB0"><i>Le projet est grandiose. Dans l'immédiat il s'agit de
  concevoir et implanter les outils permettant de stocker les images en
  forme structurée, chosir les formats, préparer la création du site Web
  avec les moteurs de recherche, car une sorte de base de donnés sera
  indispensable, et - probablement - des outils de conversion.
  Il y aura un tout petit peu de programmation, mais beaucoup de travail
  conceptuel, et d'intégration des outils existants.</i></font>
  
<p>

<p><center>
<img src="../icons/an_ruledt.gif"></center><p>
  
  
<p>

<a name="larva"></a>
<li> <b>Lanceur de rayons en Java.</b><br>

<p>
<em>Vu le désistement de la personne intéressé initialement par ce
projet, je l'ai transféré ailleurs ; il est devenu un projet de Maîtrise.
Donc, je considère qu'il n'est plus disponible. Mais nous pouvons toujours
négocier...
</em>
<p>

Écrire un Lanceur de Rayons (Ray Tracer), ce qui était jadis une
    tâche <i>"professionnelle"</i> est devenu un exercice pédagogique pour
    les étudiants de licence/maîtrise, dans des établissements où la
    synthèse d'images est enseigné <b>sérieusement</b>. Dans une des
    compétitions publiques liées à une conférence internationale les
    participants avaient 72 heures pour écrire un lanceur de rayons, et
    les résultats étaient spectaculaires...
    <p>
    
    Il existent au moins deux implantations raisonnables en C++ dont le code 
    est rendu public, et une implantation (assez raisonnable) en Java (RAJA)
    sans compter des innombrables applets trop simples pour être pratiques.
    
    Le but du projet est d'exploiter la couche objet de Java, ainsi que
    la facilité de faire des <i>plug-ins</i> par le chargement automatique
    et dynamique des classes, et faire un logiciel <em>extensible</em>, et
    <em>integré et homogène</em>, où <p>
    
    <ul>
    <li> Le noyau <i>et</i> la description de la scène rendue seront écrits
         en Java. La scène sera compilée indépendamment de la création de 
         l'image final, et attachée au lanceur.
         
    <li> Le style de programmation doit être le plus géométrique et invariant
         possible. Il faudra exploiter la puissance d'une bonne représentation
         mathématique des vecteurs, opérateurs, équations...
        
    <li> La texturation dynamique par les modules du rendu des surfaces sera
         extensible par les "shaders" (réalisés comme <i>plug-ins</i>).<br>
         (Jusqu'à présent seulement quelques lanceurs basés sur le protocole
         Renderman offrent des shaders ; voici une nouveauté qui peut rendre
         ce projet très intéressant aux autres, et apporter de la fame, argent
         et l'amour à son créateur...)
    </ul>

<p>

<a name="ming"></a>
<li> <b>Visualiseur des images PNG animés.</b><br>
    Tout le monde sait que les GIFs sont pourris. Leur taux de compression
    est pire que les PNGs, et leur palette de couleurs est limitée à 256.
    Ils sont toujours là, car la vitesse de compression/décompression est
    bonne, mais aussi parce qu'il existe le <em>format GIF animé</em>
    reconnu par les navigateurs standard.
    
   <p>
   Or, Le groupe PNG travaille depuis longtemps sur le format MNG, qui
   ajoute aux PNGs le dynamisme, l'animation.
   <p>
   
   Le projet consiste à faire une maquette fonctionnelle, ou même un plug-in
   pour Netscape permettant de visualiser les images animés en format PNG/MNG.
   Le travail est conséquent, il faudra prendre quelques décisions concernant
   les détails de stockage et de temporisation. Il faudra maîtriser les
   librairies standard utilisées par les logiciels qui reconnaissent PNG 
   (pnglib, zlib, etc.)
   <p>
   
   Le langage : probablement C++ est le choix naturel vu la structure
   des librairies existantes, et la nécessité d'obtenir un produit efficace.

</ol>



</body>

</html>








</body>
</html>

